$MathEvaluator = new-object LoreSoft.MathExpressions.MathEvaluator

Set-Alias c Invoke-MathEvaluator
function Invoke-MathEvaluator {
   [CmdletBinding()]
   param(
      [Parameter(ValueFromPipeline, ValueFromPipelineByPropertyName, ValueFromRemainingArguments)]
      [String[]]$Expression
   )
   end {
      Write-Verbose "$Expression"
      $MathEvaluator.Evaluate("$Expression")
   }
}

Export-ModuleMember -Function * -Alias *